function f=nonisothermal_ext(t,X)

% Values of parameters

% Kappa = 10^-3; Gamma = 0.05; Delta = 0.025; Mu= 0.498; % Periodic

Kappa = 10^-3; Gamma = 0.05; Delta = 0.025; Mu= 0.5586; % chaotic

x=X(1); y=X(2); z=X(3);

Y= [X(4), X(7), X(10);
    X(5), X(8), X(11);
    X(6), X(9), X(12)];

f=zeros(9,1);

%rosler equation
f(1)=Mu*exp(Delta*z) - x*y^2 - Kappa*x;  
f(2)=x*y^2 + Kappa*x - y;
f(3)=y - Gamma*z;

%Linearized system

 Jac=[-y^2-Kappa, -2*x*y, exp(z*Delta)*Delta*Mu;
       y^2+Kappa, -1 + 2*x*y, 0;
      0, 1, -Gamma];
  
%Variational equation   
f(4:12)=Jac*Y;

%Output data must be a column vector

